#!/bin/sh
# dhcp6c-script for Debian/Ubuntu. Jérémie Corbier, April, 2006.
# resolvconf support by Mattias Guns, May 2006.
interface="wlan0"
logger "dhcp6c-script"
logger "new_domain_name" $new_domain_name
logger "new_domain_name_servers" $new_domain_name_servers
logger "INTERFACE " ${interface}
if [ -e /tmp/bridging.active ] ; then
    ebtables -t broute -D BROUTING -i wlan0 --ip-protocol udp --ip-source-port 546:547 --ip-destination-port 546:547 -j DROP
    while true; do
        nrules=`ebtables -t broute -L  | grep  'ip-sport 546:547' | grep 'ip-dport 546:547' | wc -l`
        if [ $nrules -eq 0 ]; then
            break
        fi
        ebtables -t broute -D BROUTING -i wlan0 --ip-protocol udp --ip-source-port 546:547 --ip-destination-port 546:547 -j DROP
    done
fi
DNS_CONF="/etc/sysconfig/dhcp6_dns_${interface}"
rm -f $DNS_CONF
for nameserver in $new_domain_name_servers ; do
    echo $nameserver >> $DNS_CONF
done
DOMAIN_CONF="/etc/sysconfig/dhcp6_domain_${interface}"
rm -f $DOMAIN_CONF
[ -n "$new_domain_name" ] && echo "DHCP_DOMAIN=\"$new_domain_name\"" > $DOMAIN_CONF

LTRX_NET_COMMON="/etc/sysconfig/network-scripts/ltrx-network-common.script"
if [ ! -f $LTRX_NET_COMMON ]; then
    echo "Missing ltrx network common script."
    exit 1
fi
. $LTRX_NET_COMMON
ltrx_start_network ${interface}
exit 0
#!/bin/sh
# dhcp6c-script for Debian/Ubuntu. Jérémie Corbier, April, 2006.
# resolvconf support by Mattias Guns, May 2006.
interface="wlan0"
logger "dhcp6c-script"
logger "new_domain_name" $new_domain_name
logger "new_domain_name_servers" $new_domain_name_servers
logger "INTERFACE " ${interface}
if [ -e /tmp/bridging.active ] ; then
    ebtables -t broute -D BROUTING -i wlan0 --ip-protocol udp --ip-source-port 546:547 --ip-destination-port 546:547 -j DROP
    while true; do
        nrules=`ebtables -t broute -L  | grep  'ip-sport 546:547' | grep 'ip-dport 546:547' | wc -l`
        if [ $nrules -eq 0 ]; then
            break
        fi
        ebtables -t broute -D BROUTING -i wlan0 --ip-protocol udp --ip-source-port 546:547 --ip-destination-port 546:547 -j DROP
    done
fi
DNS_CONF="/etc/sysconfig/dhcp6_dns_${interface}"
rm -f $DNS_CONF
for nameserver in $new_domain_name_servers ; do
    echo $nameserver >> $DNS_CONF
done
DOMAIN_CONF="/etc/sysconfig/dhcp6_domain_${interface}"
rm -f $DOMAIN_CONF
[ -n "$new_domain_name" ] && echo "DHCP_DOMAIN=\"$new_domain_name\"" > $DOMAIN_CONF

LTRX_NET_COMMON="/etc/sysconfig/network-scripts/ltrx-network-common.script"
if [ ! -f $LTRX_NET_COMMON ]; then
    echo "Missing ltrx network common script."
    exit 1
fi
. $LTRX_NET_COMMON
ltrx_start_network ${interface}
exit 0
#!/bin/sh
# dhcp6c-script for Debian/Ubuntu. Jérémie Corbier, April, 2006.
# resolvconf support by Mattias Guns, May 2006.
interface="wlan0"
logger "dhcp6c-script"
logger "new_domain_name" $new_domain_name
logger "new_domain_name_servers" $new_domain_name_servers
logger "INTERFACE " ${interface}
if [ -e /tmp/bridging.active ] ; then
    ebtables -t broute -D BROUTING -i wlan0 --ip-protocol udp --ip-source-port 546:547 --ip-destination-port 546:547 -j DROP
    while true; do
        nrules=`ebtables -t broute -L  | grep  'ip-sport 546:547' | grep 'ip-dport 546:547' | wc -l`
        if [ $nrules -eq 0 ]; then
            break
        fi
        ebtables -t broute -D BROUTING -i wlan0 --ip-protocol udp --ip-source-port 546:547 --ip-destination-port 546:547 -j DROP
    done
fi
DNS_CONF="/etc/sysconfig/dhcp6_dns_${interface}"
rm -f $DNS_CONF
for nameserver in $new_domain_name_servers ; do
    echo $nameserver >> $DNS_CONF
done
DOMAIN_CONF="/etc/sysconfig/dhcp6_domain_${interface}"
rm -f $DOMAIN_CONF
[ -n "$new_domain_name" ] && echo "DHCP_DOMAIN=\"$new_domain_name\"" > $DOMAIN_CONF

LTRX_NET_COMMON="/etc/sysconfig/network-scripts/ltrx-network-common.script"
if [ ! -f $LTRX_NET_COMMON ]; then
    echo "Missing ltrx network common script."
    exit 1
fi
. $LTRX_NET_COMMON
ltrx_start_network ${interface}
exit 0
#!/bin/sh
# dhcp6c-script for Debian/Ubuntu. Jérémie Corbier, April, 2006.
# resolvconf support by Mattias Guns, May 2006.
interface="wlan0"
logger "dhcp6c-script"
logger "new_domain_name" $new_domain_name
logger "new_domain_name_servers" $new_domain_name_servers
logger "INTERFACE " ${interface}
if [ -e /tmp/bridging.active ] ; then
    ebtables -t broute -D BROUTING -i wlan0 --ip-protocol udp --ip-source-port 546:547 --ip-destination-port 546:547 -j DROP
    while true; do
        nrules=`ebtables -t broute -L  | grep  'ip-sport 546:547' | grep 'ip-dport 546:547' | wc -l`
        if [ $nrules -eq 0 ]; then
            break
        fi
        ebtables -t broute -D BROUTING -i wlan0 --ip-protocol udp --ip-source-port 546:547 --ip-destination-port 546:547 -j DROP
    done
fi
DNS_CONF="/etc/sysconfig/dhcp6_dns_${interface}"
rm -f $DNS_CONF
for nameserver in $new_domain_name_servers ; do
    echo $nameserver >> $DNS_CONF
done
DOMAIN_CONF="/etc/sysconfig/dhcp6_domain_${interface}"
rm -f $DOMAIN_CONF
[ -n "$new_domain_name" ] && echo "DHCP_DOMAIN=\"$new_domain_name\"" > $DOMAIN_CONF

LTRX_NET_COMMON="/etc/sysconfig/network-scripts/ltrx-network-common.script"
if [ ! -f $LTRX_NET_COMMON ]; then
    echo "Missing ltrx network common script."
    exit 1
fi
. $LTRX_NET_COMMON
ltrx_start_network ${interface}
exit 0
#!/bin/sh
# dhcp6c-script for Debian/Ubuntu. Jérémie Corbier, April, 2006.
# resolvconf support by Mattias Guns, May 2006.
interface="wlan0"
logger "dhcp6c-script"
logger "new_domain_name" $new_domain_name
logger "new_domain_name_servers" $new_domain_name_servers
logger "INTERFACE " ${interface}
if [ -e /tmp/bridging.active ] ; then
    ebtables -t broute -D BROUTING -i wlan0 --ip-protocol udp --ip-source-port 546:547 --ip-destination-port 546:547 -j DROP
    while true; do
        nrules=`ebtables -t broute -L  | grep  'ip-sport 546:547' | grep 'ip-dport 546:547' | wc -l`
        if [ $nrules -eq 0 ]; then
            break
        fi
        ebtables -t broute -D BROUTING -i wlan0 --ip-protocol udp --ip-source-port 546:547 --ip-destination-port 546:547 -j DROP
    done
fi
DNS_CONF="/etc/sysconfig/dhcp6_dns_${interface}"
rm -f $DNS_CONF
for nameserver in $new_domain_name_servers ; do
    echo $nameserver >> $DNS_CONF
done
DOMAIN_CONF="/etc/sysconfig/dhcp6_domain_${interface}"
rm -f $DOMAIN_CONF
[ -n "$new_domain_name" ] && echo "DHCP_DOMAIN=\"$new_domain_name\"" > $DOMAIN_CONF

LTRX_NET_COMMON="/etc/sysconfig/network-scripts/ltrx-network-common.script"
if [ ! -f $LTRX_NET_COMMON ]; then
    echo "Missing ltrx network common script."
    exit 1
fi
. $LTRX_NET_COMMON
ltrx_start_network ${interface}
exit 0
#!/bin/sh
# dhcp6c-script for Debian/Ubuntu. Jérémie Corbier, April, 2006.
# resolvconf support by Mattias Guns, May 2006.
interface="wlan0"
logger "dhcp6c-script"
logger "new_domain_name" $new_domain_name
logger "new_domain_name_servers" $new_domain_name_servers
logger "INTERFACE " ${interface}
if [ -e /tmp/bridging.active ] ; then
    ebtables -t broute -D BROUTING -i wlan0 --ip-protocol udp --ip-source-port 546:547 --ip-destination-port 546:547 -j DROP
    while true; do
        nrules=`ebtables -t broute -L  | grep  'ip-sport 546:547' | grep 'ip-dport 546:547' | wc -l`
        if [ $nrules -eq 0 ]; then
            break
        fi
        ebtables -t broute -D BROUTING -i wlan0 --ip-protocol udp --ip-source-port 546:547 --ip-destination-port 546:547 -j DROP
    done
fi
DNS_CONF="/etc/sysconfig/dhcp6_dns_${interface}"
rm -f $DNS_CONF
for nameserver in $new_domain_name_servers ; do
    echo $nameserver >> $DNS_CONF
done
DOMAIN_CONF="/etc/sysconfig/dhcp6_domain_${interface}"
rm -f $DOMAIN_CONF
[ -n "$new_domain_name" ] && echo "DHCP_DOMAIN=\"$new_domain_name\"" > $DOMAIN_CONF

LTRX_NET_COMMON="/etc/sysconfig/network-scripts/ltrx-network-common.script"
if [ ! -f $LTRX_NET_COMMON ]; then
    echo "Missing ltrx network common script."
    exit 1
fi
. $LTRX_NET_COMMON
ltrx_start_network ${interface}
exit 0
#!/bin/sh
# dhcp6c-script for Debian/Ubuntu. Jérémie Corbier, April, 2006.
# resolvconf support by Mattias Guns, May 2006.
interface="wlan0"
logger "dhcp6c-script"
logger "new_domain_name" $new_domain_name
logger "new_domain_name_servers" $new_domain_name_servers
logger "INTERFACE " ${interface}
if [ -e /tmp/bridging.active ] ; then
    ebtables -t broute -D BROUTING -i wlan0 --ip-protocol udp --ip-source-port 546:547 --ip-destination-port 546:547 -j DROP
    while true; do
        nrules=`ebtables -t broute -L  | grep  'ip-sport 546:547' | grep 'ip-dport 546:547' | wc -l`
        if [ $nrules -eq 0 ]; then
            break
        fi
        ebtables -t broute -D BROUTING -i wlan0 --ip-protocol udp --ip-source-port 546:547 --ip-destination-port 546:547 -j DROP
    done
fi
DNS_CONF="/etc/sysconfig/dhcp6_dns_${interface}"
rm -f $DNS_CONF
for nameserver in $new_domain_name_servers ; do
    echo $nameserver >> $DNS_CONF
done
DOMAIN_CONF="/etc/sysconfig/dhcp6_domain_${interface}"
rm -f $DOMAIN_CONF
[ -n "$new_domain_name" ] && echo "DHCP_DOMAIN=\"$new_domain_name\"" > $DOMAIN_CONF

LTRX_NET_COMMON="/etc/sysconfig/network-scripts/ltrx-network-common.script"
if [ ! -f $LTRX_NET_COMMON ]; then
    echo "Missing ltrx network common script."
    exit 1
fi
. $LTRX_NET_COMMON
ltrx_start_network ${interface}
exit 0
#!/bin/sh
# dhcp6c-script for Debian/Ubuntu. Jérémie Corbier, April, 2006.
# resolvconf support by Mattias Guns, May 2006.
interface="wlan0"
logger "dhcp6c-script"
logger "new_domain_name" $new_domain_name
logger "new_domain_name_servers" $new_domain_name_servers
logger "INTERFACE " ${interface}
if [ -e /tmp/bridging.active ] ; then
    ebtables -t broute -D BROUTING -i wlan0 --ip-protocol udp --ip-source-port 546:547 --ip-destination-port 546:547 -j DROP
    while true; do
        nrules=`ebtables -t broute -L  | grep  'ip-sport 546:547' | grep 'ip-dport 546:547' | wc -l`
        if [ $nrules -eq 0 ]; then
            break
        fi
        ebtables -t broute -D BROUTING -i wlan0 --ip-protocol udp --ip-source-port 546:547 --ip-destination-port 546:547 -j DROP
    done
fi
DNS_CONF="/etc/sysconfig/dhcp6_dns_${interface}"
rm -f $DNS_CONF
for nameserver in $new_domain_name_servers ; do
    echo $nameserver >> $DNS_CONF
done
DOMAIN_CONF="/etc/sysconfig/dhcp6_domain_${interface}"
rm -f $DOMAIN_CONF
[ -n "$new_domain_name" ] && echo "DHCP_DOMAIN=\"$new_domain_name\"" > $DOMAIN_CONF

LTRX_NET_COMMON="/etc/sysconfig/network-scripts/ltrx-network-common.script"
if [ ! -f $LTRX_NET_COMMON ]; then
    echo "Missing ltrx network common script."
    exit 1
fi
. $LTRX_NET_COMMON
ltrx_start_network ${interface}
exit 0
